--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Add an error message to a target resource. If the error corresponds to a specific field of the resource, add it to that field, otherwise add it as a :general message.
- !ruby/struct:SM::Flow::P 
  body: "@param &lt;Object&gt; target the resource that has the error @param &lt;String&gt; message the message to add @param &lt;Symbol&gt; field_name the name of the field that caused the error"
- !ruby/struct:SM::Flow::P 
  body: TODO - should the field_name for a general message be :default???
full_name: DataMapper::Validate::GenericValidator#add_error
is_singleton: false
name: add_error
params: (target, message, field_name = :general)
visibility: public
